Bug 969557 - Unable to save a process which uses the connector object - Association (undirected)
Unable to save a process which uses the connector object - Association (undir...
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 15:19 EDT by Amana
Modified: 2013-06-05 07:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot.jpg (162.53 KB, image/jpeg)
2013-05-31 15:19 EDT, Amana
no flags Details

  None (edit)
Description Amana 2013-05-31 15:19:17 EDT
Created attachment 755351 [details]
screenshot.jpg

It is not possible to save a process which contains the 'Association (undirected)' connector object at the second time. 

Basically, you have to connect an annotation to a subprocess using the 'Association (undirected)'. The first time, you will be able to save it successfully. After saving it, the connector is still there but it is not connecting subprocess to annotation anymore, it gets displaced as you can see in screenshot.jpg attached. 

When trying to save it again, you will get the following error message on UI:

'Unable to perform user action due to error(s).
Validate your process before saving, and view server logs to see error details.'

When trying to 'validate process' a NPE is thrown in server.log and 'Invalid answer from server' in UI (see screenshot.jpg attached).
Comment 1 Amana 2013-06-03 13:08:48 EDT
What version will include this fix ?
Comment 2 Tihomir Surdilovic 2013-06-05 07:53:42 EDT
I am currently working on this. Will set status appropriately after fix asap

Note You need to log in before you can comment on or make changes to this bug.